Name: x11-driver-video-via
Version: 0.2.2
%define subrel 1
Release: %mkrel 1
Summary: The X.org driver for VIA video chipsets
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-via-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libdrm-devel >= 2.0
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxvmc-devel >= 1.0.1
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel

Conflicts: xorg-x11-server < 7.0

%description
The X.org driver for VIA video chipsets


%prep
%setup -q -n xf86-video-via-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std
# Remove unused files
rm -rf  %{buildroot}%{_libdir}/*.la 
rm -rf  %{buildroot}%{_libdir}/*.so 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%ifarch %{ix86} x86_64
#%{_libdir}/libviaXvMC.la
#%{_libdir}/libviaXvMC.so
%{_libdir}/libviaXvMC.so.1
%{_libdir}/libviaXvMC.so.1.0.0
#%{_libdir}/libviaXvMCPro.la
#%{_libdir}/libviaXvMCPro.so
%{_libdir}/libviaXvMCPro.so.1
%{_libdir}/libviaXvMCPro.so.1.0.0
%endif
%{_libdir}/xorg/modules/drivers/via_drv.la
%{_libdir}/xorg/modules/drivers/via_drv.so
%{_mandir}/man4/via.4.bz2


%changelog
* Fri Feb 08 2008 Vincent Danen <vdanen@mandriva.com> 0.2.2-1.1mdv2007.0
- build for updates

* Fri Feb 09 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 0.2.2-1mdv2007.0
+ Revision: 118603
- new upstream release: 0.2.2
- Fix an undefined symbol problem (#27060)

* Tue Aug 22 2006 Antonio Hobmeir Neto <neto@mandriva.com> 0.2.1-4mdv2007.0
+ Revision: 57478
- remove require libdrm2-devel of x11-driver-video-via (#24466)
  It shouldn't require a devel package.

  + Christiaan Welvaart <cjw@daneel.dyndns.org>
    - fix filelist for archs other than x86 and x86-64

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group
    - rebuild with the proper ABI on x86_64

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - new upstream release
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

